### Hierarchy

- Lobby

## Index

### Constructors

- constructor

### Properties

- admin
- bannedPlayers
- players
- token
- tournament

### Methods

- toObject

## Constructors

### constructor

- new Lobby(admin: Player): Lobby

- - Defined in tournament/model/Lobby.ts:12

  #### Parameters

  - ##### admin: Player

  #### Returns Lobby

## Properties

### admin

admin: Player

- Defined in tournament/model/Lobby.ts:8

### bannedPlayers

bannedPlayers: string[]

- Defined in tournament/model/Lobby.ts:12

### players

players: Player[]

- Defined in tournament/model/Lobby.ts:10

### token

token: string

- Defined in tournament/model/Lobby.ts:9

### tournament

tournament: Tournament

- Defined in tournament/model/Lobby.ts:11

## Methods

### toObject

- toObject(): object

- - Defined in tournament/model/Lobby.ts:21

  #### Returns object

  - ##### players: object[]

  - ##### token: string

  - ##### tournament: object

    - ##### finished: boolean

    - ##### matches: object[]

    - ##### options: ITournamentOptions

    - ##### ranking: string[]

    - ##### started: boolean

    - ##### waiting: boolean

Generated using TypeDoc